Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[GIMP] gimp-2.3.9 et le USE pdf (Résolu)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
kaworu
Guru
Guru


Joined: 07 Dec 2005
Posts: 450
Location: Geneva

PostPosted: Sun Jun 25, 2006 7:16 pm    Post subject: [GIMP] gimp-2.3.9 et le USE pdf (Résolu) Reply with quote

Salut !
Dans mon journalier
Code:
sudo emerge --sync && sudo emerge -avuDN world

j'ai trouvé Gimp (~x86) ... jusqu'à là rien de formidable, à part qu'il à un nouveau USEflag pour alsa (je me demande bien pk..) et pdf qui vont être adoptés.
Code:

alex@gentoo ~ $ sudo emerge -avuDN world

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[ebuild     U ] media-gfx/gimp-2.3.9 [2.2.11-r1] USE="alsa% jpeg mmx pdf% png python sse tiff -aalib -debug -doc -gimpprint -gnome% -gtkhtml -lcms -mng -smp -svg -wmf" 0 kB

Total size of downloads: 0 kB

Would you like to merge these packages? [Yes/No]
>>> Emerging (1 of 1) media-gfx/gimp-2.3.9 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking gimp-2.3.9.tar.bz2 ;-)
 *
 * This package requires app-text/poppler compiled with GTK+ support.
 * Please reemerge app-text/poppler with USE="gtk".
 *

!!! ERROR: media-gfx/gimp-2.3.9 failed.
Call stack:
  ebuild.sh, line 1556:   Called dyn_setup
  ebuild.sh, line 668:   Called pkg_setup
  gimp-2.3.9.ebuild, line 58:   Called die

!!! Please reemerge app-text/poppler with USE="gtk".
!!! If you need support, post the topmost build error, and the call stack if relevant.

je comprend que app-text/poppler doit etre compilé avec USE="gtk" pour que gimp puisse s'installer correctement, mais quelle est ma suprise en voyant que ce paquet n'a aucun USE pour gtk
Code:

alex@gentoo ~ $ emerge -pv app-text/poppler

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] app-text/poppler-0.5.3  USE="jpeg" 0 kB

Total size of downloads: 0 kB


je suis un peu perdu là, une idée? qqn à le même problème ?

Merci ^___^

EDIT : ce problème est uniquement avec le USE="pdf" , si j'enlève le use pdf pour gimp je n'ai plus le message d'erreur.
_________________
Macbook
Core2Duo @ 2.0GHz - 1Go RAM - HD 80Go - Intel GMA 945

Gentoo GNU/Linux
~amd64 - 2.6.24-gentoo-r2 - Fluxbox || (KDE && Compiz-Fusion)


Last edited by kaworu on Mon Jun 26, 2006 7:40 am; edited 1 time in total
Back to top
View user's profile Send private message
Anthyme
Guru
Guru


Joined: 25 Jun 2004
Posts: 498

PostPosted: Sun Jun 25, 2006 7:34 pm    Post subject: Reply with quote

je viens de l'emerge sans probleme ... (je suis en full ~x86)

Je vois pas ce que je pourrai te dire pour t'aider ....

peut etre la dedant :

Code:
yeindal ~ # emerge --info
Portage 2.1.1_pre1-r2 (default-linux/x86/2005.1, gcc-4.1.1/vanilla, glibc-2.4-r3, 2.6.17.1 i686)
=================================================================
System uname: 2.6.17.1 i686 Intel(R) Pentium(R) M processor 1600MHz
Gentoo Base System version 1.12.1
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
dev-lang/python:     2.3.5-r2, 2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.59d
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r2
sys-devel/gcc-config: 2.0.0_rc1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r5
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-Os -march=pentium-m -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/eselect/compiler /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-Os -march=pentium-m -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="fr_FR@euro"
LC_ALL="fr_FR@euro"
LINGUAS="fr fr_FR"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X Xaw3d acpi alsa apache2 apm arts artswrappersuid audiofile avi bash-completion berkdb bitmap-fonts bootsplash browserplugin bzip2 cairo cgi cli cpudetection crypt dba dbus dri dvd dvdread eds emboss encode exif fame ffmpeg flac foomaticdb fortran gd gdbm gif glitz glut gphoto2 gpm gstreamer gtk gtk2 gtkhtml hal httpd i8x0 ibm imlib ipv6 isdnlog java jpeg kde kqemu libg++ libwww logitech-mouse lzo mad madwifi matroska mikmod mjpeg mmx mng mono motif mp3 mpeg mpm-threadpool musicbrainz mysql ncurses nls nptl nptlonly nsplugin ogg oggvorbis opengl oss pam pcmcia pcre pdf pdflib perl pic png postgres pppd python qt quicktime readline real reflection ruby samba screen sdl session skins spell spl sqlite sse sse2 ssl svg svga syslog tcpd threads tiff toolbar truetype truetype-fonts type1-fonts v4l v4l2 vim-with-x vorbis wifi win32codecs winbind wxwindows xcomposite xine xml xml2 xmlwriter xmms xorg xv xvid xvmc zeroconf zlib elibc_glibc input_devices_keyboard input_devices_mouse kernel_linux linguas_fr linguas_fr_FR userland_GNU video_cards_radeon video_cards_vesa"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS


et

Code:
yeindal ~ # emerge -va gimp

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] media-gfx/gimp-2.3.9  USE="alsa gtkhtml jpeg mmx mng pdf png python sse svg tiff -aalib -debug -doc -gimpprint -gnome -lcms -smp -wmf" 0 kB
Back to top
View user's profile Send private message
geekounet
Bodhisattva
Bodhisattva


Joined: 11 Oct 2004
Posts: 3756
Location: Lyon, France

PostPosted: Sun Jun 25, 2006 7:51 pm    Post subject: Reply with quote

Rajoute gtk dans /var/db/pkg/app-text/poppler-0.5.3/USE, c'est du bricolage mais ça devrait marcher ...
_________________
Google+ | Twitter
Back to top
View user's profile Send private message
kaworu
Guru
Guru


Joined: 07 Dec 2005
Posts: 450
Location: Geneva

PostPosted: Mon Jun 26, 2006 7:21 am    Post subject: Reply with quote

mainteant c'est :
Code:

 *
 * This package requires app-text/poppler-bindings compiled with GTK+ support.
 * Please reemerge app-text/poppler-bindings with USE="gtk".
 *

!!! ERROR: media-gfx/gimp-2.3.9 failed.
Call stack:
  ebuild.sh, line 1556:   Called dyn_setup
  ebuild.sh, line 668:   Called pkg_setup
  gimp-2.3.9.ebuild, line 58:   Called die

!!! Please reemerge app-text/poppler-bindings with USE="gtk".
!!! If you need support, post the topmost build error, and the call stack if relevant.


et poppler-bindings a bien un use gtk ^____^
un prob d'ebuild sans doutes.
_________________
Macbook
Core2Duo @ 2.0GHz - 1Go RAM - HD 80Go - Intel GMA 945

Gentoo GNU/Linux
~amd64 - 2.6.24-gentoo-r2 - Fluxbox || (KDE && Compiz-Fusion)
Back to top
View user's profile Send private message
truc
Advocate
Advocate


Joined: 25 Jul 2005
Posts: 3199

PostPosted: Mon Jun 26, 2006 7:53 am    Post subject: Reply with quote

ebuild gimp wrote:
if use pdf && ! built_with_use app-text/poppler-bindings gtk; then
eerror
eerror "This package requires app-text/poppler-bindings compiled with GTK+ support."
eerror "Please reemerge app-text/poppler-bindings with USE=\"gtk\"."
eerror
die "Please reemerge app-text/poppler-bindings with USE=\"gtk\"."
fi



donc c'est bien app-text/poppler-bindings que tu dois réémerger avec le USE gtk. (normalement)

arf, j'suis arrvier trop tard.. oiui effectivement ça devait être ça, car je ne comprends pas sinon.!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum